curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{{series_id}}' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{{series_id}}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{{series_id}}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": "/mAJ84W6I8I272Da87qplS2Dp9ST.jpg",
"created_by": [
{
"credit_id": "6447f632c51acd0566a945a3",
"gender": 0,
"id": 4028129,
"name": "Onat Diaz",
"original_name": "Onat Diaz",
"profile_path": null
}
],
"episode_run_time": [
30
],
"first_air_date": "2023-01-23",
"genres": [
{
"id": 18,
"name": "Drama"
},
{
"id": 9648,
"name": "Mystery"
}
],
"homepage": "",
"id": 202250,
"in_production": false,
"languages": [
"en",
"tl"
],
"last_air_date": "2023-09-07",
"last_episode_to_air": {
"air_date": "2023-09-07",
"episode_number": 12,
"episode_type": "standard",
"id": 4981929,
"name": "S1 E12",
"overview": "After unlocking a forgotten memory from his past, Aidan surrenders to the authorities and comes clean about his crime. The Fieros then escape El Hambra, but Abe manages to confront Cielo one last time. After falling into Carlos' trap, Mila finally learns of the truth behind her mother’s death.",
"production_code": "",
"runtime": 67,
"season_number": 3,
"show_id": 202250,
"still_path": "/grbFZlPu4ghPkAHLtvmJj3cy3dx.jpg",
"vote_average": 0,
"vote_count": 0
},
"name": "Dirty Linen",
"networks": [
{
"id": 42,
"logo_path": "/gVinXXdpdbLHuXTUUfx4R9PyuPB.png",
"name": "TV5",
"origin_country": "PH"
},
{
"id": 1024,
"logo_path": "/ifhbNuuVnlwYy5oXA5VIb2YR8AZ.png",
"name": "Prime Video",
"origin_country": ""
},
{
"id": 3920,
"logo_path": "/eK7hBqDuNwvHqBoWtVgCdNIehsU.png",
"name": "Kapamilya Channel",
"origin_country": "PH"
}
],
"next_episode_to_air": null,
"number_of_episodes": 165,
"number_of_seasons": 3,
"origin_country": [
"PH"
],
"original_language": "tl",
"original_name": "Dirty Linen",
"overview": "To exact vengeance, a young woman infiltrates the household of an influential family as a housemaid to expose their dirty secrets. However, love will get in the way of her revenge plot.",
"popularity": 37.293,
"poster_path": "/fiK3u7oQb2Nsi2kuR73RRyIIGDD.jpg",
"production_companies": [
{
"id": 80844,
"logo_path": "/8IA6wf02ZLZNGZKHVLhn35Vxt1F.png",
"name": "Dreamscape Entertainment Television",
"origin_country": "PH"
},
{
"id": 162722,
"logo_path": "/cCGhFsrjsU9YesTlzrPYhgV0E4w.png",
"name": "ABS-CBN Studios",
"origin_country": "PH"
}
],
"production_countries": [
{
"iso_3166_1": "PH",
"name": "Philippines"
}
],
"seasons": [
{
"air_date": "2023-01-23",
"episode_count": 73,
"id": 294181,
"name": "Season 1",
"overview": "",
"poster_path": "/pVBxYfshGajQ600OKv8K4y8TI0K.jpg",
"season_number": 1,
"vote_average": 8.5
},
{
"air_date": "2023-05-08",
"episode_count": 80,
"id": 338907,
"name": "Season 2",
"overview": "",
"poster_path": "/8o5v2GwX7ko0q3Vq5BXTt3WFfZo.jpg",
"season_number": 2,
"vote_average": 0
},
{
"air_date": "2023-09-07",
"episode_count": 12,
"id": 368918,
"name": "Prime Cut",
"overview": "The powerful Fiero clan of El Hambra celebrates the 15th anniversary of their cockpit arena built on the remains of a tragic and bloody past. Four revenge seekers infiltrate the family in a bid to uncover their darkest secrets as the case of the Fiero's missing household staff remains unresolved for fifteen years. But doubts and emotions complicate their scheme for revenge as it comes to fruition.",
"poster_path": "/rrSeQgQsAe3IW8QWc3WHL7HaWyK.jpg",
"season_number": 3,
"vote_average": 0
}
],
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
},
{
"english_name": "Tagalog",
"iso_639_1": "tl",
"name": ""
}
],
"status": "Ended",
"tagline": "",
"type": "Scripted",
"vote_average": 6.6,
"vote_count": 104
}Fetch TV details
This endpoint allows you to get the details of a TV show.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
comma separated list of endpoints within this namespace, 20 items max
"string"
Defaults to en-US
"string"
Response
Fetch TV details
false
"/mAJ84W6I8I272Da87qplS2Dp9ST.jpg"
Show child attributes
Show child attributes
[
{
"credit_id": "6447f632c51acd0566a945a3",
"gender": 0,
"id": 4028129,
"name": "Onat Diaz",
"original_name": "Onat Diaz",
"profile_path": null
}
]
[30]
"2023-01-23"
Show child attributes
Show child attributes
[
{ "id": 18, "name": "Drama" },
{ "id": 9648, "name": "Mystery" }
]
""
202250
false
["en", "tl"]
"2023-09-07"
Show child attributes
Show child attributes
"Dirty Linen"
Show child attributes
Show child attributes
[
{
"id": 42,
"logo_path": "/gVinXXdpdbLHuXTUUfx4R9PyuPB.png",
"name": "TV5",
"origin_country": "PH"
},
{
"id": 1024,
"logo_path": "/ifhbNuuVnlwYy5oXA5VIb2YR8AZ.png",
"name": "Prime Video",
"origin_country": ""
},
{
"id": 3920,
"logo_path": "/eK7hBqDuNwvHqBoWtVgCdNIehsU.png",
"name": "Kapamilya Channel",
"origin_country": "PH"
}
]
165
3
["PH"]
"tl"
"Dirty Linen"
"To exact vengeance, a young woman infiltrates the household of an influential family as a housemaid to expose their dirty secrets. However, love will get in the way of her revenge plot."
37.293
"/fiK3u7oQb2Nsi2kuR73RRyIIGDD.jpg"
Show child attributes
Show child attributes
[
{
"id": 80844,
"logo_path": "/8IA6wf02ZLZNGZKHVLhn35Vxt1F.png",
"name": "Dreamscape Entertainment Television",
"origin_country": "PH"
},
{
"id": 162722,
"logo_path": "/cCGhFsrjsU9YesTlzrPYhgV0E4w.png",
"name": "ABS-CBN Studios",
"origin_country": "PH"
}
]
Show child attributes
Show child attributes
[
{ "iso_3166_1": "PH", "name": "Philippines" }
]
Show child attributes
Show child attributes
[
{
"air_date": "2023-01-23",
"episode_count": 73,
"id": 294181,
"name": "Season 1",
"overview": "",
"poster_path": "/pVBxYfshGajQ600OKv8K4y8TI0K.jpg",
"season_number": 1,
"vote_average": 8.5
},
{
"air_date": "2023-05-08",
"episode_count": 80,
"id": 338907,
"name": "Season 2",
"overview": "",
"poster_path": "/8o5v2GwX7ko0q3Vq5BXTt3WFfZo.jpg",
"season_number": 2,
"vote_average": 0
},
{
"air_date": "2023-09-07",
"episode_count": 12,
"id": 368918,
"name": "Prime Cut",
"overview": "The powerful Fiero clan of El Hambra celebrates the 15th anniversary of their cockpit arena built on the remains of a tragic and bloody past. Four revenge seekers infiltrate the family in a bid to uncover their darkest secrets as the case of the Fiero's missing household staff remains unresolved for fifteen years. But doubts and emotions complicate their scheme for revenge as it comes to fruition.",
"poster_path": "/rrSeQgQsAe3IW8QWc3WHL7HaWyK.jpg",
"season_number": 3,
"vote_average": 0
}
]
Show child attributes
Show child attributes
[
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
},
{
"english_name": "Tagalog",
"iso_639_1": "tl",
"name": ""
}
]
"Ended"
""
"Scripted"
6.6
104